GET segments/data_series

braze.com

Summary: Segment Analytics
Operation ID: segmentAnalytics
Auth: unknown
Description

This endpoint allows you to retrieve a daily series of the size of a segment over time for a segment. ### Request Components - [Segment Identifier](https://www.braze.com/docs/api/identifier_types/) ## Response ```json Content-Type: application/json Authorization: Bearer YOUR-REST-API-KEY { "message": (required, string) the status of the export, returns 'success' when completed without errors, "data" : [ { "time" : (string) date as ISO 8601 date, "size" : (int) size of the segment on that date }, ... ] } ```

Parameters (3)

ending_at (string, query, optional)

(Optional) DateTime (ISO 8601 string) Point in time when the data series should end - defaults to time of the request.

length (string, query, optional)

(Required) Integer Max number of days before `ending_at` to include in the returned series - must be between 1 and 100 inclusive.

segment_id (string, query, optional)

(Required) String Segment API identifier.

No probe data for this endpoint yet.